Search Gradle plugins

com.vaadin

Build Vaadin applications with Gradle. Please follow the link below to learn which Plugin version to use with particular Vaadin version. Vaadin recommends using the latest Vaadin LTS version.

https://vaadin.com/docs/latest/guide/start/gradle

Using the plugins DSL:

plugins {
  id "com.vaadin" version "23.2.10"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.vaadin:vaadin-gradle-plugin:23.2.10"
  }
}

apply plugin: "com.vaadin"

Using the plugins DSL:

plugins {
  id("com.vaadin") version "23.2.10"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.vaadin:vaadin-gradle-plugin:23.2.10")
  }
}

apply(plugin = "com.vaadin")

Learn how to apply plugins to subprojects